#include "StdAfx.h"
#include ".\trans.h"

IMPLEMENT_SERIAL(CTrans, CObject, 0);

CTrans::CTrans(void)
: m_chLetter(' '),
  m_nDuration(80),
  m_nFreq(220),
  m_nPeek(0)
{
}
CTrans::CTrans(char chLetter, int nDuration, int nFreq, int nPeek)
: m_chLetter(chLetter),
  m_nDuration(nDuration),
  m_nFreq(nFreq),
  m_nPeek(nPeek)
{
}

void CTrans::Serialize(CArchive &ar)
{
	if(ar.IsStoring() == TRUE)
	{
		ar << m_chLetter << m_nDuration << m_nPeek << m_nFreq;
	}
	else
	{
		ar >> m_chLetter >> m_nDuration >> m_nPeek >> m_nFreq;
	}
}

void CTrans::SetDuration(int nDuration)
{
	this->m_nDuration = nDuration;
}
int CTrans::GetDuration(void)
{
	return this->m_nDuration;
}
void CTrans::SetFreq(int nFreq)
{
	this->m_nFreq = nFreq;
}
int CTrans::GetFreq(void)
{
	return this->m_nFreq;
}
void CTrans::SetLetter(CString strLetter)
{
	this->m_chLetter = strLetter;
}
CString CTrans::GetLetter(void)
{
	return this->m_chLetter;
}

